QGIS Application - Feature request #18428
Editing of a filtered OGR vector layer
2018-03-13 11:07 AM - Arjan Mossel

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/OGR

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 26317

Description

| understand that it will not be possible to allow simultaneous filtering (provider feature filter) and editing of an OGR layer like Shapefile,
GeoPackage, plain SQLite ("editing on a filtered layer won't be possible because of the way OGR provider construct a filtered layer",
#17795-6). But with SpatialLite (and other databases?) it should presumably be possible, and in QGIS2 it is (example:
https://gis.stackexchange.com/a/231046).

But in QGIS 3.0 the edit option is unavailable when a filter is applied on a SpatiaL.ite layer. A regression?

Related issues:

Related to QGIS Application - Bug report # 16027: Editing GeoPackage from DWG... Closed 2017-01-02
Duplicated by QGIS Application - Bug report # 19951: Edit mode doesn't work ... Closed 2018-09-26
History

#1 - 2018-03-13 02:54 PM - Arjan Mossel

Update: user error. I'd added the SpatiaLite layer via the Vector menu, and therefore it wasn't recognized as SpatiaLite. When added as SpatiaLite it works
as desired.

It would be user-friendly to check SQLite data sources for SpatiaL.ite functionality and offer to use it when it is available.

#2 - 2018-03-26 09:55 AM - Jiirgen Fischer

- Description updated

#3 - 2018-09-16 04:44 PM - Alessandro Pasotti

- Status changed from Open to Closed

- Resolution set to wontfix

- Tracker changed from Bug report to Feature request

Due to the way different providers are implemented in QGIS, this is not going to happen unless we proceed with a deep refactoring of the code.

Feel free to open a feature request, but | doubt it will be implemented.

#4 - 2018-09-17 09:11 AM - Giovanni Manghi

- Category changed from Data Provider/SpatialLite to Data Provider/OGR

- Resolution deleted (wontfix)
- Status changed from Closed to Open

Feel free to open a feature request, but | doubt it will be implemented.
https://gis.stackexchange.com/a/231046

let's keep it open as feature request then, even if is a long shot.

#5 - 2018-09-26 10:40 AM - Regis Haubourg
- Subject changed from Editing of a filtered SpatiaLite layer to Editing of a filtered OGR vector layer

#6 - 2018-09-27 07:32 AM - Alessandro Pasotti
- Duplicated by Bug report #19951: Edit mode doesn't work when ogr vector layers have filters added

#7 - 2018-09-27 02:24 PM - Arjan Mossel

It's getting a bit confusing what the feature request is about now.

1. My initial question was about editing filtered SpatiaLite, which actually works already.

2. Then | wondered whether SpatiaLite could be recognized when opening the database via the (wrong) vector menu (i.e. propose to open as SpatiaLite
instead of plain SQLite).

3. But now the title is changed to "Editing of a filtered OGR vector layer", which as | understood from Alessandro Pasotti's comment

https://issues.qgis.org/issues/17795#note-6 is not possible.

Are we leaving this open as feature request for 2 or 37

#8 - 2019-01-29 02:30 PM - Jiirgen Fischer
- Related to Bug report #16027: Editing GeoPackage from DWG/DXF Import after Save as Layer Definition File added
